<template>
  <div>
    <div>
      <div class="row justify-center">
        <div class="col" style="max-width:1360px ">
          <Kategori/>
        </div>
      </div>
    </div>
    <div>
      <div class="row justify-center" style="">
        <div class="col" style="max-width: 1360px">
          <Jumbotron/>
        </div>
      </div>
      <div class="column flex-center">
        <div class="col desktop-only" style="width: 100%; max-width: 1360px" v-for="productType in productTypes">
          <list-product-home :flag="productType.label" />
        </div>
        <div class="col mobile-only" style="width: 87%; max-width: 1360px; margin-left: -50px" v-for="productType in productTypes">
          <list-product-home :flag="productType.label" />
        </div>
      </div>
      <div class="row justify-center">
        <div class="col">
          <relationship-home />
        </div>
      </div>
      <div class="column flex-center" style="margin-top: 20px;">
        <div class="row bg-grey-1 no-wrap justify-center" style="overflow: scroll; scrollbar-width: none; width: 100%;  max-width: 1360px; margin-bottom: 20px">
          <q-img class="sm-img-scroll" style="width: 49%;" src="~assets/semen2.jpg"/>
          <q-img class="sm-img-scroll" style="width: 49%; margin-left: 2%" src="~assets/jarkonspro.png"/>
        </div>
      </div>
    </div>
    <mainfooter  />
  </div>
</template>

<script>

import mainfooter from "components/mainfooter";
import ListProductHome from "components/Home/ListProductHome";
import Jumbotron from "components/Home/Jumbotron";
import RelationshipHome from "components/Home/RelationshipHome";
import Kategori from "components/Home/Kategori";

export default {
  name: "HalamanUtama",
  components: {
    mainfooter,
    ListProductHome,
    Jumbotron,
    RelationshipHome,
    Kategori
  },

  preFetch (store) {
    store.store.dispatch("product/getProductHome", {
      flag: "jasa",
      location: store.store.getters["lokasi/getLokasi"]
    });
    store.store.dispatch("ProductType/getSelectProductType");
  },

  mounted() {
    this.getLocation();
    const encryptedText = this.CryptoJS.AES.encrypt("Hi There!", "Secret Passphrase").toString()
    const decryptedText = this.CryptoJS.AES.decrypt(encryptedText, "Secret Passphrase").toString(this.CryptoJS.enc.Utf8)
    console.log("enkrip", encryptedText);
    console.log("dekrip", decryptedText);
  },
  methods: {
    async getLocation () {
      if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(this.lokasi);
      } else {
        console.log("lokasi tidak tersedia");
      }
    },
    lokasi(val) {
      console.log("lokasi", val.coords)
    }
  },
  data () {
    return {
      city: null,
      footer: true,
      asd: null,
      accept: false,
      gproduk: true,
      model: null,
      optionsJN: ["JASA", "LOWONGAN KERJA"],

      slide: 1,

      flags: ["BARANG", "LOKER", "JASA", "PROYEK"],

      expanded: false,
      lorem: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.'
    }
  },

  computed: {
    productTypes: function () {
      return this.$store.state.ProductType.selectProductType;
    }
  }
}

</script>


<style lang="sass" scoped>

.my-card
  width: 100%
  max-width: 350px

</style>

<style lang="scss" scoped>

.absolute-sm {
  @media screen and (min-width: 0px) and (max-width: 991px) {

    position: absolute;
    z-index: -1;
  }
}

.absolute-sm-text {
  margin-top: 30px;
  margin-left: 50px;
  @media screen and (min-width: 0px) and (max-width: 991px) {
    margin-top: 15px;
    margin-left: 25px;
  }
}

.footer-sm {
  margin-top: 50px;
  @media screen and (min-width: 0px) and (max-width: 767px) {
    margin-top: 0;
  }
}

.absolute-sm-img {
  width: 90%;
  @media screen and (min-width: 0px) and (max-width: 991px) {
    width: 67%;
  }
}

.sm-img-scroll {
  @media screen and (min-width: 0px) and (max-width: 991px) {
    min-width: 300px;
  }
}

.footer-2-sm-crd {
  justify-content: right;
  @media screen and (min-width: 0px) and (max-width: 767px) {
    justify-content: center;
  }
}

.bg-visa {
  background-image: url("~assets/payment-visa.png");
}

</style>
